function BoostConverter5_mRC_P
%Parameter fr m-dimensionalen Hochsetzsteller 2 nach Zanasi:

m=3;                           %number of Inductors [-]
assignin('base','m',m);        
assignin('base','Vg',100);     %source voltage [V]
assignin('base','C',0.0002);   %main capacitance [F]
R=20;                          %   due to MA
assignin('base','R',R);        %load resistance [Ohm]
R1m=[1 3 2];                   %"m" inductors: resistance 
Rm=diag(R1m(1:m));             %   due to MA
assignin('base','Rm',Rm);      %Resistance Matrix [Ohm]
L1m=[0.02 0.018 0.022];        %"m" inductors: self inductance
MLc=0.85;                      %Mutual inductance coefficient
                               %MLji=MLc+sqrt(Li*Lj);
Lm=diag(L1m(1:m));             %Inductance Matrix [H]
for ii=[1:m-1]                 %          MLji=MLc*sqrt(Li*Lj);
    for jj=[ii+1:m]
    Lm(ii,jj)=MLc*sqrt(L1m(ii)*L1m(jj));
    Lm(jj,ii)=Lm(ii,jj); end; end
assignin('base','Lm',Lm);        %Complete Inductance Matrix
Lm_BG=inv(Lm);                   %so zu vwerwenden, aber Block "I"/IC
Lm_BG=1./Lm_BG;                  %berechnet elementweisen Kehrwert!!!
assignin('base','Lm_BG',Lm_BG);  %Fr vektoriellen I-Speicher
assignin('base','Bg',ones(m,1)); %Input matrix
MA0(1:m,1:m)=-Rm;
MA0(m+1,m+1)=-1/R;          
assignin('base','MA0',MA0);           %for computation of the
assignin('base','MB',[ones(m,1); 0]); %steady state values

assignin('base','Fs',100000);  %puls frequency [Hz]

assignin('base','Im_0',0*[1:m]'); %init. cond.: inductor current [A]
assignin('base','Vc_0',0);        %init. cond.: capacitor voltage [V]

txt='"M-dimensional BoostConverter - Zanasi 2"';
disp(['Parameter for Bond Graph example ' txt ' loaded!']);
