function BoostConverter6_CasElCirSwi_P
%Parameter BoostConverter6 CascadedElectricalCircuitSwitched
%                                       by Zanasi/Veerachary:

assignin('base','Vg',100);     %source voltage [V]
assignin('base','L1',0.001);   %inductance [H]
assignin('base','L2',0.002);   %inductance [H]
assignin('base','r1',0.1);     %series resistance [Ohm]
assignin('base','r2',0.2);     %series resistance [Ohm]
assignin('base','C1',0.0002);  %intermediate capacitance [F]
assignin('base','C2',0.0001);  %output capacitance [F]
assignin('base','R1',20);      %resistance [Ohm]
assignin('base','R2',10);      %resistance [Ohm]
assignin('base','Fs',50000);   %puls frequency [Hz]

evalin('base','L=[L1 0; 0 L2];'); %Berechnung im MATLAB workspace
evalin('base','C=[C1 0; 0 C2];'); %Berechnung im MATLAB workspace
evalin('base','r=[r1 0; 0 r2];'); %Berechnung im MATLAB workspace
evalin('base','R=[R1 0; 0 R2];'); %Berechnung im MATLAB workspace
evalin('base','T=[1 -1; 0 1];');  %Berechnung im MATLAB workspace

assignin('base','I_0',[0 0]);     %init. cond.: inductor current [A]
assignin('base','V_0',[0 0]);     %init. cond.: capacitor voltage [V]

txt='"BoostConverter6_CasElCirSwi"';
disp(['Parameter for Bond Graph example ' txt ' loaded!']);
