function CascadedElectricalCircuit_P
%Parameter CascadedElectricalCircuit by Zanasi/Veerachary:

assignin('base','Vg',100);     %source voltage [V]
assignin('base','L1',0.001);   %inductance [H]
assignin('base','L2',0.002);   %inductance [H]
assignin('base','L3',0.003);   %inductance [H]
assignin('base','r1',0.1);     %series resistance [Ohm]
assignin('base','r2',0.2);     %series resistance [Ohm]
assignin('base','r3',0.3);     %series resistance [Ohm]
assignin('base','C1',0.0002);  %intermediate capacitance [F]
assignin('base','C2',0.0001);  %intermediate capacitance [F]
assignin('base','C3',0.0004);  %output capacitance [F]
assignin('base','R1',10);      %resistance [Ohm]
assignin('base','R2',20);      %resistance [Ohm]
assignin('base','R3',30);      %resistance [Ohm]

%Berechnungen im MATLAB workspace
%Compact POG
assignin('base','BPOG',[1 0 0 0 0 0]');
   Z0='LPOG=';
   Z1='[L1  0  0  0  0  0 ;';
   Z2='  0 C1  0  0  0  0 ;';
   Z3='  0  0 L2  0  0  0 ;';
   Z4='  0  0  0 C2  0  0 ;';
   Z5='  0  0  0  0 L3  0 ;';
   Z6='  0  0  0  0  0 C3];';
evalin('base',[Z0 Z1 Z2 Z3 Z4 Z5 Z6]);
   R0='APOG=';
   R1='[r1  1    0  0    0  0   ;';
   R2=' -1 1/R1  1  0    0  0   ;';
   R3='  0 -1   r2  1    0  0   ;';
   R4='  0  0   -1 1/R2  1  0   ;';
   R5='  0  0    0 -1   r3  1   ;';
   R6='  0  0    0  0   -1 1/R3];';
evalin('base',[R0 R1 R2 R3 R4 R5 R6]);
%Vectorial Bond Graph
evalin('base','LBG=[L1 0 0; 0 L2 0; 0 0 L3];'); 
evalin('base','CBG=[C1 0 0; 0 C2 0; 0 0 C3];');
evalin('base','rBG=[r1 0 0; 0 r2 0; 0 0 r3];');
evalin('base','RBG=[R1 0 0; 0 R2 0; 0 0 R3];');
evalin('base','TBG=[1 -1 0; 0 1 -1; 0 0 1];');

txt='"CascadedElectricCircuit"';
disp(['Parameter for Bond Graph example ' txt ' loaded!']);
