function DoppelPendel_S38_P
%function DoppelPendel_S38_P
%l1 -   Lnge Pendel 1              / length pendulum 1             // [m]
%l2 -   Lnge Pendel 2              / length pendulum 2             // [m]
%s1 -   Schwerpunktabstand Pendel 1 / centre of mass displacement 1 // [m]
%s2 -   Schwerpunktabstand Pendel 2 / centre of mass displacement 2 // [m]
%m1 -   Masse Pendel 1              / mass pendulum 1               // [kg]
%m2 -   Masse Pendel 2              / mass pendulum 2               // [kg]
%J1 -   Massentrgheitsmoment 1     / mass torque of inertia  1     // [Kgm^2/rad]
%J2 -   Massentrgheitsmoment 2     / mass torque of inertia  2     // [Kgm^2/rad]
%g  -   Erdbeschleunigung           / acceleration of gravity       // [m/s^2]
%P1 -   Abfabgsbedingung Phi 1      / initial condition phi 1       // [rad]
%P2 -   Abfabgsbedingung Phi 2      / initial condition phi 2       // [rad]

assignin('base','l1',0.2);       % [m]
assignin('base','l2',0.2);       % [m]
assignin('base','s1',0.1);       % [m]
assignin('base','s2',0.1);       % [m]
assignin('base','m1',0.0295);    % [kg]
assignin('base','m2',0.0295);    % [kg]
evalin('base','J1=m1/12*l1^2;'); % [Kgm^2/rad]
evalin('base','J2=m2/12*l2^2;'); % [Kgm^2/rad]
assignin('base','g' ,9.80665);   % [m/s^2]
assignin('base','P1',0);         % [rad]
assignin('base','P2',pi/2);      % [rad]

txt1='Parameter fr Bondgraph Beispiel Doppelpendel (Scherf 3.8) geladen!';
txt2='Parameter loaded - bond graph example double pendulum (Scherf 3.8)';
disp([txt1 sprintf('\n') txt2]);
