function Tilger_S37_P
%function Tilger_S37_P
%c  -   Federsteifigkeit             / spring coefficient mass     // [N/m]
%m  -   Hauptmasse                   / mass                        // [Kg]
%mT -   Tilgermasse                  / mass of the absorber        // [Kg]
%dT -   Dmpfungswert des Tilgers    / damper coefficient absorber // [Ns/m]
%x0 -   Anfangsauslenkung Hauptmasse / initial value x: mass       // [m]
%y0 -   Anfangsauslenkung Tilger     / initial value y: absorber   // [m]
%cT -   Federsteifigkeit Tilger      / spring coefficient absorber // [N/m]

assignin('base','c',1000);   % [N/m]
assignin('base','m',500);    % [Kg]
assignin('base','mT',20);    % [Kg]
assignin('base','dT',11);    % [Ns/m]
assignin('base','x0',0.1);   % [m]
assignin('base','y0',0.1);   % [m]

evalin('base','cT=mT/m*c;'); % [N/m] - computation in MATLAB workspace

%Shifted coordinate systems for x and y (masses m resp. mT)

%Issue initial values:
%Regarding Bond Graphs initial position AND initial force are necessary
%since x and y are outputs D (displacement) only:
% F0c=c*x0=100N  regarding spring c
%                computed within the block mask as well as
% x0=0.1m / y0=0.1m regarding masses m and mT

txt1='Parameter fr Bondgraph Beispiel Tilger (Scherf 3.7) geladen!';
txt2='Parameter loaded - bond graph example dynamic vibration absorber (Scherf 3.7)';
disp([txt1 sprintf('\n') txt2]);